#include <iostream>
#include <bits/stdc++.h>
using namespace std;
struct poz{int x,y;};
bool porediX(poz p1,poz p2)
{
    return p1.x<p2.x;
}
bool porediY(poz p1,poz p2)
{
    return p1.y<p2.y;
}
int main()
{
    int n;
    cin>>n;
    int X1[n],Y1[n];
    for(int i=0;i<n;i++)
    {
        X1[i]=0; Y1[i]=0;
    }
    poz a[n];
    for(int i=0;i<n;i++) cin>>a[i].x>>a[i].y;
    sort(a,a+n,porediX);
    for(int i=0;i<n;i++)
    {
        X1[i]=abs(i+1-a[i].x);
    }
    sort(a,a+n,porediY);
    for(int i=0;i<n;i++)
    {
        Y1[i]=abs(i+1-a[i].y);
    }
    int suma=0;
    for(int i=0;i<n;i++) suma+=(X1[i]+Y1[i]);
    cout<<suma;
    return 0;
}